Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-1530

Upgrade to latest clojure.java.jdbc

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 3.1.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Epic Link:
    • Story Points:
      2
    • Sprint:
      PuppetDB 2015-07-29

      Description

      We're running a very old version of clojure.java.jdbc, and we should upgrade to the latest version.

      There are two major strategies I see us following here:

      • We could cut to the latest revision, but use the deprecated namespace - that gets us the latest jar, but means we don't get the new API.
      • We could cut to the latest revision, and change our code to use the new API. This involves thread an equivalent to the db var instead of using a global-like binded var like it does today.

        Attachments

          Issue Links

            Activity

              jsd-sla-details-panel

                People

                • Assignee:
                  Unassigned
                  Reporter:
                  ken Ken Barber
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: